%define _prefix /usr/local
%define bindir %{_prefix}/bin
%define prgdir %{_prefix}/flair
%define is_mandrake %(test -e /etc/mandrake-release && echo 1 || echo 0)
%define is_suse %(test -e /etc/SuSE-release && echo 1 || echo 0)
%define is_fedora %(test -e /etc/fedora-release && echo 1 || echo 0)
%define debug_package %{nil}

# to correctly generate an rpm for other distributions
%define _source_filedigest_algorithm 0
%define _binary_filedigest_algorithm 0
%define _binary_payload w9.gzdio

Name:    flair-geoviewer
Version: 3.3
Release: 1
Vendor:  Vasilis Vlachoudis
Packager: <Vasilis.Vlachoudis@cern.ch>
Prefix:  %{_prefix}
Source:  http://cern.ch/%{name}/%{name}-%{version}-%{release}.tgz
URL:     http://cern.ch/flair
BuildRoot: %{_tmppath}/%{name}-buildroot
License: Free for non-commercial non weapon related use

Summary: flair geometry viewer library
Group: Applications/Engineering
Requires: flair = %{version}-%{release}
Requires: python3-imaging-tk
Requires: tk
#BuildRequires: python3-devel
#BuildRequires: tk-devel
#BuildRequires: tcl-devel

%description
A 2D/3D geometry editor (viewer and debugger) for flair geometries.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
make -j 4 TARGET=%_target_cpu

%install
rm -Rf $RPM_BUILD_ROOT
make install ROOT=$RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT%{prgdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
#%doc AUTHORS BUGS README LICENSE
%{prgdir}/AUTHORS.geoviewer
%{prgdir}/BUGS.geoviewer
%{prgdir}/README.geoviewer
%{prgdir}/LICENSE.geoviewer
%{prgdir}/*.so
%{prgdir}/usrbin2dvh
%{prgdir}/vtk2usrbin
%{prgdir}/fonts/*.tga

%post

%changelog
* Mon Sep 02 2019 Vasilis Vlachoudis <Vasilis.Vlachoudis@cern.ch>
- Version: 3.0.0
* Fri Sep 01 2017 Vasilis Vlachoudis <Vasilis.Vlachoudis@cern.ch>
- Version: 2.3-2
* Sun Jan 1 2012 Vasilis Vlachoudis <Vasilis.Vlachoudis@cern.ch>
- Complete changelog can be found on the flair package
